Bug 1284736 - 'promoted files' statistics doesn't get updated for one of the nodes in gluster cluster
'promoted files' statistics doesn't get updated for one of the nodes in glust...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: tier (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Dan Lambright
nchilaka
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-23 22:57 EST by krishnaram Karthick
Modified: 2016-09-17 11:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-25 04:14:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description krishnaram Karthick 2015-11-23 22:57:29 EST
Description of problem:

On a two node gluster cluster running on rhel 6.7, 'vol tier status' doesn't give proper statistics for 'promoted files'. Although files are promoted on both the nodes, the counter in incremented only on one of the node irrespective of the node on which a file is promoted. 

[root@rhs-client39 ~]# gluster vol tier test-volume status
Node                 Promoted files       Demoted files        Status              
---------            ---------            ---------            ---------           
localhost            431                  208                  in progress         
rhs-client40.lab.eng.blr.redhat.com 0                    454                  in progress   

The volume used for testing has a cold tier made of disperse volume(1 x (4 + 2)) and a hot tier of type distribute.

Volume Name: test-volume
Type: Tier
Volume ID: 3b50d4d9-e527-4a30-860f-cfabfef58381
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distribute
Number of Bricks: 2
Brick1: 10.70.36.64:/home/rhs/brick-1/tier2
Brick2: 10.70.36.63:/home/rhs/brick-1/tier2
Cold Tier:
Cold Tier Type : Disperse
Number of Bricks: 1 x (4 + 2) = 6
Brick3: 10.70.36.63:/home/rhs/brick-1/leg1
Brick4: 10.70.36.64:/home/rhs/brick-1/leg1
Brick5: 10.70.36.63:/home/rhs/brick-2/leg1
Brick6: 10.70.36.64:/home/rhs/brick-2/leg1
Brick7: 10.70.36.63:/home/rhs/brick-3/leg1
Brick8: 10.70.36.64:/home/rhs/brick-3/leg1
Options Reconfigured:
features.ctr-enabled: on
performance.readdir-ahead: on

Version-Release number of selected component (if applicable):
glusterfs-server-3.7.5-6.el6rhs.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Create a (1 x (4 + 2) dispersed volume
2. Attach a Distributed hot tier to this volume
3. Run IO so files from both nodes are promoted

Actual results:
promotion counter is updated only on one of gluster nodes, even for the files accessed on its peer node

Expected results:
vol tier <vol-name> status should reflect actual statistics

Additional info:
Comment 1 krishnaram Karthick 2015-11-23 23:08:26 EST
sosreport collected from both the nodes are available here.

http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1284736/

Note You need to log in before you can comment on or make changes to this bug.